Bug 169853 - seinfo says "not an selinux system" if strict policy not installed
seinfo says "not an selinux system" if strict policy not installed
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: setools (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks: 169856 176344 185483 198694 234547
  Show dependency treegraph
 
Reported: 2005-10-04 09:56 EDT by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0192
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 19:28:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2005-10-04 09:56:48 EDT
$ rpm -qa | grep selinux
libselinux-1.19.1-7
libselinux-devel-1.19.1-7

$ seinfo
Error while searching for default policy: This is not an selinux system.

$ strace -eaccess -v seinfo
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
access("/etc/selinux/strict//policy", F_OK) = -1 ENOENT (No such file or directory)
Error while searching for default policy: This is not an selinux system.

It looks only for the strict policy, but the targeted policy is correctly installed.

$ ls /etc/selinux/
total 25k
8.2k config  8.2k config,v  8.2k targeted
Comment 1 Daniel Walsh 2005-10-04 16:52:23 EDT
Fixed in the upstream version, but am not sure we will put them in U3.
Comment 5 Stephen John Smoogen 2005-11-14 12:18:18 EST
As a side note, it would be nice to get this into U3, please. It is causing some
of our security administrators paper-work headaches that listed commands to
check for compliance are not working :).
Comment 12 David Lawrence 2006-04-27 13:24:58 EDT
Mistakenly added IBM group, removing.
Comment 13 RHEL Product and Program Management 2006-08-18 13:17:07 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 18 Red Hat Bugzilla 2007-05-01 19:28:07 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0192.html

Note You need to log in before you can comment on or make changes to this bug.